function main(self)
	local claw = GetClaw()

    if self.State == 0 then
		self:SetImage("CUSTOM_WINGS")
		self:SetAnimation("GAME_CYCLE100")
		self.Counter = GetTime() + 390
		self.State = 1
	else
		self:AnimationStep()
		self.X, self.Y = claw.X, claw.Y-18
		if self.I == 4 and GetTime() > self.Counter then
			self:Destroy()
		end
	end
end